Subject: Re: B17: Compiler-Error
From: [email-masked] (Max Gotlib)

10 Dec 1996 08:35:03 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Content-Transfer-Encoding: 8BIT
X-Authentication-Warning: relay.usart.ru: max owned process doing -bs
X-Sender: [email-masked]
Original-To: [email-masked]
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 10 Dec 1996 [email-masked] wrote:

> Sirs,
> 
> I tried to compile the GNU groff with b17. In the configure script
> I replaced /dev/null with /tmp/trash, so this error did not occure.
> But there is an error in compilation which did not occure under b16.
> The following subroutine which starts at line 424 gave an error:
....
> Here the error-list:
> g++ -I. -I. -I../include -I./../include -DHAVE_UNISTD_H=1 -DHAVE_DIRENT_H=1 -DHA
> VE_LIMITS_H=1 -DHAVE_SYS_DIR_H=1 -DHAVE_STDLIB_H=1 -DSTDLIB_H_DECLARES_PUTENV=1
> -DSTDIO_H_DECLARES_POPEN=1 -DSTDIO_H_DECLARES_PCLOSE=1 -DHAVE_CC_OSFCN_H=1 -DHAV
> E_CC_LIMITS_H=1 -DRETSIGTYPE=void -DHAVE_STRUCT_EXCEPTION=1 -DHAVE_RENAME=1 -DHA
> VE_MKSTEMP=1 -DWCOREFLAG=0200  -g -O  -c index.cc
> index.cc: In method `int index_search_item::load(int)':
> index.cc:213: warning: implicit declaration of function `int strchr(...)'
                                                               ^^^^^
	It seems to me that compiler chosed non-proper string.h header file (it uses
one designed for C and not for C++).
	May be somebody will fix this bug, or point out how to withdraw with
it (i'm afraid that it will not be usable to type
  "c:/cygnus/include/.../string.h"
instead of
  <string.h>).

Max.                                                           

> index.cc:213: warning: assignment to `const char *' from `int' lacks a cast
> index.cc: In function `class search_item * make_index_search_item(const char *,
> int)':
> index.cc:276: warning: implicit declaration of function `int strcat(...)'
> index.cc: In method `const char * index_search_item::munge_filename(const char *
> )':
> index.cc:429: invalid types `int[int]' for array subscript
> index.cc: In method `void index_search_item::read_common_words_file()':
> index.cc:548: no matching function for call to `index_search_item::munge_filenam
> e (int)'
> index.cc:425: candidates are: index_search_item::munge_filename(const char *)
> index.cc: In method `void index_search_item::check_files()':
> index.cc:608: warning: initialization to `const char *' from `int' lacks a cast
> index.cc:610: warning: assignment to `const char *' from `int' lacks a cast
> MAKE.EXE: *** [index.o] Error 1
> MAKE.EXE: *** [libbib] Error 2
> MAKE.EXE: *** [all] Error 2
> 
> There seems to be something wrong in the Compiler. Any ideas?
> 
> 
> Dieter

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".